import { defHttp } from '@/utils/http/axios';
import { GetClockOnListParams } from './model/patrol';

enum Api {
  GetPatrolInfoByUserId = '/api/FirePatrol/GetPatrolInfoByUserId',
  GetPatrolPointByTimeSubsection = '/api/FirePatrol/GetPatrolPointByTimeSubsection',
}
/**
 * @description: 获取人员巡查轨迹
 */
export function getPatrolInfoByUserId(params: GetClockOnListParams) {
  return defHttp.get({ url: Api.GetPatrolInfoByUserId, params });
}
/**
 * @description: 获取巡查信息
 */
export function getPatrolPointByTimeSubsection(params: GetClockOnListParams) {
  return defHttp.get({ url: Api.GetPatrolPointByTimeSubsection, params });
}
